﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection.Emit;
using System.Text;

using Xamarin.Forms;

namespace LabelContent129904
{
    public class Page1 : ContentPage
    {
        public Page1()
        {
            SfChart Chart = new SfChart() { Margin = new Thickness(10) };
            Chart.PrimaryAxis = new CategoryAxis();
            Chart.SecondaryAxis = new NumericalAxis() { Interval = 10 };
            Chart.Series.Add(new LineSeries()
            {
                XBindingPath = "XValue",
                YBindingPath = "YValue",
                ItemsSource = new ViewModel().Collection,
                DataMarker = new ChartDataMarker() { LabelContent = LabelContent.YValue},
                
            });
            this.Content = Chart;
        }

    }
}
